View Issue Details

IDProjectCategoryView StatusLast Update
0000252Usermanagement[Adventure PHP Framework] Bugpublic2015-10-12 12:19
ReporterGeneral CrimeAssigned ToChristianAchatz 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version[Adventure PHP Framework] 2.1.1 
Target Version[Adventure PHP Framework] 3.0Fixed in Version[Adventure PHP Framework] 3.0 
Summary0000252: UmgRoleCondition und UmgtNotRoleCondition prüfen nicht auf Verbindungen über UmgtGroup.
DescriptionUmgRoleCondition und UmgNotRoleCondition fragen ab welche Rollen der Benutzer besitzt. Es fehlt die Abfrage welche Rollen der Benutzer über Gruppen besitzt.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])

Activities

ChristianAchatz

2015-06-19 18:25

administrator   ~0000575

Hallo General Crime,

danke für den Report, ich schaue mir das gleich an.

ChristianAchatz

2015-06-19 20:06

administrator   ~0000576

Last edited: 2015-06-22 10:42

View 2 revisions

Das Auslesen der Rollen wurde für

- UmgtRoleCondition
- UmgtNotRoleCondition
- UmgtPermissionCondition

korrigiert. Änderung ist nun auf GitHub unter https://github.com/AdventurePHP/code/archive/release-3.0.zip verfügbar.

Freue mich über dein Feedback! :)

Issue History

Date Modified Username Field Change
2015-06-02 17:56 General Crime New Issue
2015-06-19 18:25 ChristianAchatz Note Added: 0000575
2015-06-19 18:25 ChristianAchatz Assigned To => ChristianAchatz
2015-06-19 18:25 ChristianAchatz Status new => assigned
2015-06-19 20:06 ChristianAchatz Note Added: 0000576
2015-06-19 20:06 ChristianAchatz Status assigned => resolved
2015-06-19 20:06 ChristianAchatz Fixed in Version => 3.0
2015-06-19 20:06 ChristianAchatz Resolution open => fixed
2015-06-19 20:14 ChristianAchatz Target Version => 3.0
2015-06-22 10:42 ChristianAchatz Note Edited: 0000576 View Revisions
2015-10-12 12:19 ChristianAchatz Status resolved => closed